# Requirements

## Authentication

- As a client, I want to log in to the service.
	- [ ] In the front-end, the client provides a username, and a password to request login to the back-end.
	- [ ] In the back-end, the server processes the login request from the front-end.
- As a client, I want to log out from the service.
	- [ ] In the front-end, the client requests logout to the backend.
	- [ ] In the back-end, the server processes the logout request from the front-end.

## Ringtone

- As a client, I want to download a ringtone.
	- [ ] In the front-end, the client provides a ringtone ID to request a ringtone from the back-end.
	- [ ] In the back-end, the server sends the ringtone data to the front-end.
- As a client, I want to search for composers and ringtones.
	- [ ] In the front-end, the client requests provides a search keyword to request for composers and ringtones from the back-end.
	- [ ] In the back-end, the server retrieves the composers and ringtones whose name matches the search keyword provided
		by the front-end.
- As a composer, I want to create a ringtone.
	- [ ] In the front-end, the client inputs ringtone data to the view.
	- [ ] In the front-end, the client sends the ringtone data to the back-end.
	- [ ] In the back-end, the server stores the ringtone.
- As a composer, I want to update a ringtone.
	- [ ] In the front-end, the client modifies the ringtone data retrieved from the back-end and loaded on the view.
	- [ ] In the front-end, the client sends the ringtone data to the back-end.
	- [ ] In the back-end, the server stores the ringtone.
- As a composer, I want to delete a ringtone.
	- [ ] In the front-end, the client provides a ringtone ID to request a ringtone's deletion to the back-end.
	- [ ] In the back-end, the server deletes the ringtone if its ID matches the one provided by the front-end.
