import {FC, FormEventHandler} from 'react'
import TextInput from '../../../molecules/forms/TextInput'
import ActionButton from '../../../molecules/forms/ActionButton';

type Props = {
	onSubmit?: FormEventHandler,
	action?: string,
	labels: Record<string, string>,
}

const OmnisearchForm: FC<Props> = ({
	onSubmit,
	labels,
	action,
}) => {
	return (
		<form
			method="get"
			onSubmit={onSubmit}
			action={action}
			aria-label={labels['form']}
		>
			<TextInput
				label={labels['query'] || 'Query'}
				name="q"
				block
			/>
			<ActionButton
				type="submit"
				block
			>
				Search
			</ActionButton>
		</form>
	)
}

export default OmnisearchForm
